# $Revision: 1.42 $, $Date: 2006/09/08 18:03:40 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	AMAVIS
Summary:	New generation amavis
Summary(pl):	Amavis nowej generacji
Name:		amavis-ng
Version:	0.1.6.9
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/amavis/%{name}-%{version}.tar.gz
# Source0-md5:	e9086bfbd3fa2049860d176a0c30549e
Source1:	%{name}-logrotate
Patch0:		%{name}-quarantine.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-courier.patch
Patch3:		%{name}-mks.patch
Patch4:		%{name}-make.patch
URL:		http://amavis.sourceforge.net/
BuildRequires:	perl-devel
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.202
BuildRequires:	sendmail-devel
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	perl-Config-IniFiles
Requires:	perl-File-MMagic
Provides:	group(amavis)
Provides:	user(amavis)
Obsoletes:	AMaViS
Obsoletes:	amavis
Obsoletes:	amavisd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optionally used
%define	_noautoreq	'perl(File::Scan)'

%description
AMaViS-ng is a modular rewrite of amavisd and amavis-perl. It scans
email for malicious code inside attachments and archive files,
stopping delivery if malicious code is found. It supports integration
of several third-party virus scanners and integrates nicely into
several MTA setups. Unlike amavis-perl and amavisd, there is no need
for build-time configuration.

%description -l pl
AMaViS-ng to przepisana w sposb modularny wersja projektw amavisd i
amavis-perl. Skanuje poczt elektroniczn na okoliczno gronego kodu
wewntrz zacznikw i archiww, nie pozwalajc na dorczenie w
przypadku wykrycia. Wspiera integracj rnych zewntrznych skanerw
antywirusowych, adnie integruje si z rnymi serwerami pocztowymi. W
przeciwiestwie do amavis-perl i amavisd, nie wymaga konfiguracji w
czasie budowania.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# precompiled x86 binary
rm -f amavis-milter/amavis-milter

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

cd doc
%{__make}

cd ../amavis-milter
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/logrotate.d,%{_infodir},%{_sbindir}}
install -d $RPM_BUILD_ROOT/var/spool/amavis-ng/{problems,quarantine,queue,tmp}
install -d $RPM_BUILD_ROOT/var/{run/amavis-ng,log/{archiv/amavis-ng,amavis-ng}}
install -d $RPM_BUILD_ROOT%{_datadir}/amavis-ng

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/amavis-ng
install etc/amavis.conf $RPM_BUILD_ROOT%{_sysconfdir}
install doc/amavis-ng.info $RPM_BUILD_ROOT%{_infodir}
install amavis-milter/amavis-milter $RPM_BUILD_ROOT%{_sbindir}
install magic.mime $RPM_BUILD_ROOT%{_datadir}/amavis-ng

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" = "1" ]; then
	echo
	echo 'Type "info amavis-ng" to get help'
	echo
fi

%groupadd -g 97 -r -f amavis
%useradd -u 97 -r -d /var/spool/amavis -s /bin/false -c "Anti Virus Checker" -g nobody amavis

%triggerin -- courier
chown -R daemon /var/{spool,log}/amavis-ng
if [ -f /var/lock/subsys/courier ]; then
	%{_sbindir}/filterctl stop perlfilter
	%{_sbindir}/filterctl start perlfilter
fi

%postun
if [ "$1" = "0" ]; then
	%userremove amavis
	%groupremove amavis
fi

%files
%defattr(644,root,root,755)
%doc doc/README* doc/ChangeLog doc/RELEASE-NOTES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(770,amavis,amavis) /var/log/amavis-ng
%attr(770,amavis,amavis) /var/log/archiv/amavis-ng
%attr(750,amavis,amavis) /var/run/amavis-ng
%attr(770,amavis,amavis) /var/spool/amavis-ng
%attr(644,amavis,amavis) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/amavis.conf
%{_datadir}/amavis-ng
%{_infodir}/amavis-ng.info*
%{perl_vendorlib}/AMAVIS.pm
%{perl_vendorlib}/AMAVIS
%{_mandir}/man1/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/amavis-ng

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amavis-ng.spec,v $
Revision 1.42  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.41  2006/04/14 13:07:24  glen
- fix build for non-x86 arch, rel 2

Revision 1.40  2006/04/14 13:00:54  glen
- define pdir for perl automatics

Revision 1.39  2006/03/23 19:35:11  glen
- use -f when testing for subsys lock, adapterized

Revision 1.38  2005/05/02 18:23:50  glen
- adapterized

Revision 1.37  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.36  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.35  2005/01/23 08:52:05  paszczus
- updated to 0.1.6.9
- changed BR to R perl-(Config-IniFiles,File-MMagic}

Revision 1.34  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.33  2004/10/10 10:57:25  andree
- fixed courier trigger

Revision 1.32  2004/10/03 08:19:47  ankry
- removed unnecessary R:

Revision 1.31  2004/10/02 15:49:50  andree
- added some requires

Revision 1.30  2004/09/28 22:07:24  andree
- removed almost all noautoreq - needed
- restart courier in courier trigger - fix updates
- rel. 4

Revision 1.29  2004/09/26 21:34:30  kolodko
- added macros in /etc/logrotate.d

Revision 1.28  2004/08/25 06:59:01  ankry
- rel. 3

Revision 1.27  2004/08/17 22:45:44  ankry
- added proper BR: rpmbuild(macros)

Revision 1.26  2004/08/17 21:34:34  ankry
- use user/group macros

Revision 1.25  2004/07/25 22:08:45  andree
- updated %pre; rel. 2

Revision 1.24  2004/07/23 12:05:50  andree
- added logrotate script

Revision 1.23  2004/07/22 21:54:46  andree
- s/header.patch/courier.patch/ - more courier fixes
- trigger to use courier (change perm); %files fixes
- rel. 1

Revision 1.22  2004/07/15 15:55:59  andree
- add header.patch - add x-header in courier
- add mks.patch - fix mks options
- use /var/spool/amavis-ng/tmp for temp files

Revision 1.21  2004/07/14 16:10:56  andree
- add config.patch to change config location
- %build %install %files fixes

Revision 1.20  2004/07/14 08:09:03  andree
- updated 0.1.6.4.orig; rel. 0.1
- remove amavis-ng.patch - obsolete
- %files fixes; added amavis-ng.info

Revision 1.19  2003/08/11 20:44:51  ankry
- cosmetics

Revision 1.18  2003/08/06 16:09:04  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.17  2003/07/06 23:27:16  blues
- many small fixes, mostly inpired by kloczek

Revision 1.16  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/17 07:14:20  pascalek
- revert user changes

Revision 1.13  2003/05/10 09:15:16  pascalek
- Req user-amavis, group-sweep

Revision 1.12  2003/03/02 14:15:38  radek
- prepared for perl-5.8.0; release 3

Revision 1.11  2003/02/25 11:18:19  qboosh
- working Source URL

Revision 1.10  2003/01/10 10:20:35  qboosh
- fixed file list, use macros.perl to autogenerate perl deps

Revision 1.9  2003/01/10 02:34:29  baseciq
- forgot about adapter.awk :> thx jack :)

Revision 1.8  2003/01/10 01:56:25  baseciq
- ooh... kewl. amavis-ng in Ra is pretty unusable thing ;) Great. I love
  ya ppl! :P

Revision 1.7  2003/01/10 01:44:44  baseciq
- added missing %doc (there was only one README file that contains some
  not very interesting info)
- bumped up release to 2
- STBR -> sugested! Previous package have missing documentation!

Revision 1.6  2002/11/01 00:56:55  undefine
- typos

Revision 1.5  2002/10/03 12:34:13  qboosh
- pl description, Requires(pre,postun); release 1

Revision 1.4  2002/09/24 06:21:55  ppv
- added english %description, %description -l pl TODO

Revision 1.3  2002/08/29 18:20:05  radzio
- updated to 0.4.1.orig
- add Patch0 (amavis-ng.patch)
- add %pre and %postun scripts, which create/delete amavis group and user acount
  ([GU]ID=97)
- STBR, test
- TODO: Requires, /usr/bin/suidperl is needed by /usr/sbin/qmail-queue.amavis

Revision 1.2  2002/08/01 20:27:53  qboosh
- added missing %changelog
